# Update an existing Email Inbox

PUT /v3/email-inboxes/{emailInboxId}Update an existing Email Inbox by Id

Endpoint: PUT /v3/email-inboxes/{emailInboxId}
Security: API_Key

## Security:

  - `API_Key` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `emailInboxId` (integer, required)
    Unique identification number for email inbox

## Request body:

  - `application/json` (unknown)
    Update an existent Email Inbox

## Request fields (application/json):

  - `name` (string, required)
    Example: Adove Campaign Holidays, Marketing Department

  - `notes` (string)

  - `labelIds` (array)
    The ids of the labels to be associated to the Email Inbox

  - `subscribers` (object)

  - `subscribers.onReceived` (array)

  - `subscribers.onProcessed` (array)

  - `linkExclusionFilters` (array)

  - `omitSocialLinks` (boolean)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (integer, required)
    Example: 10

  - `labelIds` (array, required)
    The ids of the labels associated to the Email Inbox

  - `name` (string, required)
    Example: Christmas Marketing Campaign

  - `emailAddress` (string, required)
    The email address that has been assigned to the inbox
    Example: scanTest+<8^[a-z0-9]>@email.observepoint.com

  - `notes` (string)

  - `subscribers` (object)

  - `subscribers.onReceived` (array)

  - `subscribers.onProcessed` (array)

  - `linkExclusionFilters` (array, required)

  - `omitSocialLinks` (boolean, required)

## Response 400:

  - `400` (unknown)
    The request cannot be accepted

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401:

  - `401` (unknown)
    Your token is invalid.

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403:

  - `403` (unknown)
    You don't have enough rights to access this resource

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404:

  - `404` (unknown)
    The object you are looking is not found

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

